selected = false
muted = false
midiChan = 0

gfx.init("Xsample",1,1)

gfx.x = gfx.mouse_x
gfx.y = gfx.mouse_y

input = gfx.showmenu("1 Senza Vibrato MW|2 Staccato Velocity 1 MW Shape|3 Staccato Velocity 2 MW Shape|4 Natural Vibrato MW|5 Flutter Tongue MW|6 Crescendo|7 Key Noises Velocity|8 Multiphonics Velocity|9 Undefined Tones Velocity|10 Air Noises Velocity|11 Mouthpiece Tones Velocity|12 Slides Down Velocity|13 Slides Up Velocity|14 Senza Vibrato Velocity|15 Senza Vibrato Velocity + MW inverted|16 Flutter Tongue Velocity|17 Senza Vibrato + Flutter Tongue Velocity X MW|18 Triple Tongue 16T|19 Staccato Velocity|20 With Accent Velocity|21 Multiphonics MW|22 Air Noises MW|23 Vibrato MW|24 Vibrato Velocity|25 Vibrato Velocity + MW inverted|26 Secco Velocity|27 Portato Velocity|28 Flutter Tongue Velocity + MW inverted|29 Pseudo Bass Velocity + MW inverted|30 Pseudo Bass Staccato Velocity|31 Pseudo Piccolo Velocity + MW inverted|32 Pseudo Piccolo Staccato Velocity||")
if input >= 0 then 

function main() 
  take = reaper.MIDIEditor_GetTake(reaper.MIDIEditor_GetActive())
  if take == nil then return end
  item = reaper.GetMediaItemTake_Item(take)
  pos = reaper.GetCursorPosition() 
  ppq = reaper.MIDI_GetPPQPosFromProjTime(take, pos)
  
  MSB = 0
  LSB = 0
  PC  = 0
  
  if input ~= 0 then
  
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    0, -- controller #0: Bank Select MSB
    input-1 -- MSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    32, -- controller #32: Bank Select LSB
    0 -- LSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xC0,-- Program Change
    midiChan,
    PC, -- program change value
    0
  )
  end
  reaper.UpdateItemInProject(item)   
end
end

script_title = "Xsample Acoustic Instruments"
reaper.Undo_BeginBlock()
main()
reaper.Undo_EndBlock(script_title, 0)
